168c:0036 [ASUS X450JB] Wireless not working

Bug #1545558 reported by Pratomo Asta Nugraha
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Triaged
Medium
Unassigned

Bug Description

After installing Ubuntu Wifi doesn't work. It does with Windows 10.

WORKAROUND: blacklisting acer_wmi driver in /etc/modprob.d/blacklist.conf

---
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: pratomo 1308 F.... pulseaudio
 /dev/snd/controlC0: pratomo 1308 F.... pulseaudio
DistroRelease: Ubuntu 15.10
HibernationDevice: RESUME=UUID=76b02bca-602a-4286-87d1-ad145a37af62
InstallationDate: Installed on 2016-02-16 (0 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: ASUSTeK COMPUTER INC. X450JB
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-27-generic root=UUID=55188d60-0b20-4ef9-8513-76770d4c1db7 ro quiet splash
ProcVersionSignature: Ubuntu 4.2.0-27.32-generic 4.2.8-ckt1
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-27-generic N/A
 linux-backports-modules-4.2.0-27-generic N/A
 linux-firmware 1.149.3
Tags: wily
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 4.2.0-27-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 12/14/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 206
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: X450JB
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr206:bd12/14/2015:svnASUSTeKCOMPUTERINC.:pnX450JB:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX450JB:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X450JB
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
---
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pratomo 1687 F.... pulseaudio
 /dev/snd/controlC1: pratomo 1687 F.... pulseaudio
CRDA:
 country ID: DFS-JP
  (2402 - 2482 @ 20), (N/A, 20), (N/A)
  (5735 - 5815 @ 20), (N/A, 23), (N/A)
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=76b02bca-602a-4286-87d1-ad145a37af62
InstallationDate: Installed on 2016-04-29 (1 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: ASUSTeK COMPUTER INC. X450JB
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-21-generic root=UUID=d3cec5a1-e5f8-4367-b157-4b6b0348ffe4 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-21-generic N/A
 linux-backports-modules-4.4.0-21-generic N/A
 linux-firmware 1.157
Tags: xenial
Uname: Linux 4.4.0-21-generic x86_64
UpgradeStatus: Upgraded to xenial on 2016-05-01 (0 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 12/14/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 206
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: X450JB
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr206:bd12/14/2015:svnASUSTeKCOMPUTERINC.:pnX450JB:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX450JB:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X450JB
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1545558/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Brad Figg (brad-figg) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1545558

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Joseph Salisbury (jsalisbury) wrote : Re: Miss Detect Laptop Model : ASUS X450JB Became Acer Laptop , Caused Wrong Wireless Drivers

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.5 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-rc4-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

kernel-fixed-upstream

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
removed: bot-comment
Changed in linux (Ubuntu):
assignee: nobody → Pratomo Asta Nugraha (pratomoasta)
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected wily
description: updated
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : CRDA.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : IwConfig.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : JournalErrors.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : Lspci.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : Lsusb.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcEnviron.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcModules.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : RfKill.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : UdevDb.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : WifiSyslog.txt

apport information

tags: added: bug-exists-upstream
removed: kernel-fixed-upstream
Changed in linux (Ubuntu):
assignee: Pratomo Asta Nugraha (pratomoasta) → nobody
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.5-rc4 latest-bios-206
removed: bug-exists-upstream
summary: - Miss Detect Laptop Model : ASUS X450JB Became Acer Laptop , Caused
- Wrong Wireless Drivers
+ 168c:0036 [ASUS X450JB] Wireless not working
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Pratomo Asta Nugraha, could you please advise to the router manufacturer, model, and firmware version?

description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Manufacturer : Huawei
Model : ZXHN H108N

Firmware Version
ZXHN H108NV4.0.1a_ZRQ_ID_D67

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Linux pratomo-X450JB 4.5.0-040500rc5-generic #201602201730 SMP Sat Feb 20 22:32:16 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

kernel-bug-exists-upstream

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : JournalErrors.txt

apport information

description: updated
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcEnviron.txt

apport information

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Pratomo Asta Nugraha, to advise, you don't need to apport-collect further unless specifically requested to do so.

Despite this, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate mailing list (TO Chun-Yi Lee CC platform-driver-x86)?

Please provide a direct URL to your post to the mailing list when it becomes available so that it may be tracked.

Thank you for your understanding.

description: updated
Changed in linux (Ubuntu):
status: Incomplete → Triaged
description: updated
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

okay , ill report it there

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

done , aleadry sent the bug report to mr.Chun-Yi Lee CC platform-driver-x86

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Linux pratomo-X450JB 4.5.0-040500rc6-generic #201602281230 SMP Sun Feb 28 17:33:02 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Pratomo Asta Nugraha, are you stating that it is or is not still reproducible with 4.5-rc6?

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

What i want to say is the bugs still exsist at 4.5 rc 6 .

tags: added: kernel-bug-exists-upstream-4.5-rc6
removed: kernel-bug-exists-upstream-4.5-rc4
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Linux pratomo-X450JB 4.5.0-040500rc7-generic #201603061830 SMP Sun Mar 6 23:33:11 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

tags: added: kernel-bug-exists-upstream-4.5-rc7
removed: kernel-bug-exists-upstream-4.5-rc6
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Linux pratomo-X450JB 4.5.0-040500-generic #201603140130 SMP Mon Mar 14 05:32:22 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : AlsaInfo.txt

apport information

tags: added: xenial
description: updated
Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : IwConfig.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : JournalErrors.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : Lspci.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : Lsusb.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcEnviron.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : ProcModules.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : PulseList.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : RfKill.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : UdevDb.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote : WifiSyslog.txt

apport information

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

Bug Stil Presist In 16.04 LTS
Linux pratomo-X450JB 4.4.0-21-generic #37-Ubuntu SMP Mon Apr 18 18:33:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Revision history for this message
Pratomo Asta Nugraha (pratomoasta) wrote :

What is this ? :
pratomo@pratomo-X450JB:~$ [WARNING:flash/platform/pepper/pep_module.cpp(63)] SANDBOXED

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Pratomo Asta Nugraha, to advise, you don't need to apport-collect further unless specifically requested to do so.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers